Subject: bug#28878: CEDET merge bug

From: Edward Steere <[email-masked]>
Date: Sun, 10 Nov 2019 09:48:23 +0200

Hi all,

Thanks for surfacing this one again Stefan.

I don’t think that the merge was ever completed.

Unfortunately, I think that I bit off more than I could chew when I tried to help out with this one.
I feel that my involvement with the CEDET project was too shallow to really understand how to merge it properly.

There's been some added drift between the CEDET project and core since those efforts.
The drift is largely because of maintenance and API improvements to things like EIEIO.

I'd be happy to assist in some capacity with the merge, but I certainly don’t feel comfortable spear heading it.

Kind regards,

Edward Steere

> On 08 Nov 2019, at 06:14, Stefan Kangas <[email-masked]> wrote:
> 
> David Engster <[email-masked]> writes:
> 
>> Edward Steere writes:
>>> I count 165 commits since the last merge when I look at cedet.git
>>> and I only see 49 commits in emacs.git from your work on the
>>> merge.  What about the other 116 commits?
>> 
>> I dropped all commits that did not concern the subset of CEDET that is
>> in Emacs proper. It is entirely possible of course that I made a mistake
>> here or there; it'd be nice if someone could check.
>> 
>> -David
> 
> That was 3 years ago.  What's the current status of this merge -- has
> it been completed?
> 
> Best regards,
> Stefan Kangas